Page 1 of 1

Problem after upgrade from Zend Core to Zend Server

Posted: Tue Oct 11, 2016 10:06 am
by bran5102
We have just upgraded our system operating system from V6R1 to V7R2 and at the same time moved from Zend Core to Zend Server 8.5

When a php program is called it creates a persistent connection using i5_pconnect, does some work, displays results, and then closes connection using i5_pclose.

This works fine first time php program is run.

When it is next run we get the error after the i5_pclose of;

SQLSTATE='' and Message: '', indicating that this PHP job's associated database job is no longer running.

As part of the move to Zend Server we have added in the php programs the include of the Compatibility Wrapper to allow the i5_ functions to work.

Any help would be appreciated as for now we have commented out the i5_pclose which has caused problems of its own that php programs get slower as the day goes on.

Re: Problem after upgrade from Zend Core to Zend Server

Posted: Wed Oct 12, 2016 9:43 am
by bran5102
Have now added entry for this on New Toolkit forum.